Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Richard Stallman <[email-masked]>
Date: Tue, 27 Feb 2024 03:12:27 +0000

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I don't think this command should be bound by default at all.  Just like
  > by default M-u is bound to `upcase-word', but the user might decide to
  > rebind the key to the more powerful (or more confusing) DWIM command
  > `upcase-dwim', here too, I just want to propose offering an opt-in
  > alternative that the user can bind wherever they please.  Making the
  > decision for them would be too invasive IMO.

Maybe you're right -- but let's find out what users think of it.
It may turn out that users will love having this command on M-DEL.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)